summarylogtreecommitdiffstats
path: root/fishing-funds.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-11 12:01:22 +0800
committerzxp198210052024-03-11 12:01:22 +0800
commitc78d93bcba1eb61c1c3a39fab6a3884ff77b7163 (patch)
tree5408451ce4850146bb9dfb5391efa07ba092458e /fishing-funds.sh
parentb201b1b6304c0333989d8190d79d565b8de2e9f2 (diff)
downloadaur-c78d93bcba1eb61c1c3a39fab6a3884ff77b7163.tar.gz
update to 8.2.3
Diffstat (limited to 'fishing-funds.sh')
-rw-r--r--fishing-funds.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/fishing-funds.sh b/fishing-funds.sh
index f9ced1432cfc..7ddcaab8d734 100644
--- a/fishing-funds.sh
+++ b/fishing-funds.sh
@@ -1,14 +1,16 @@
-#!/bin/sh
+#!/bin/bash
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file